Subject: Re: bug#17012: [3 PATCHES] Whitespace cleanup : Replace code-alignment tabs with spaces.

From: Jim Meyering <[email-masked]>
Date: Fri, 14 Mar 2014 21:44:32 -0700

On Fri, Mar 14, 2014 at 9:32 PM, Bruce Dubbs <[email-masked]> wrote:
...
>> For the record, I think that such comments should be made unnecessary.
>> I.e., maintain coding standards with enough automated infrastructure
>> that that type of crutch is not required.  See the guidelines in
>> coreutils'
>> HACKING file.  Speaking of which, grep's HACKING needs a refresher.
>
> Interesting.  Looking at the coreutils-8.22 tarball, there is no HACKING
> file.  It's not in the coreutils-8.17 tarball either.  It is in the git tree
> though.

FYI, that is deliberate.
You can get it here, too:

  http://git.savannah.gnu.org/cgit/coreutils.git/tree/HACKING

If you're hacking on coreutils (as with most pkgs), you should be doing
so via a git clone, with the very latest, not starting from a tarball,
which is almost always out of date by at least a few commits.